org.apache.lucene.spatial.util

## Class ValueSourceFilter

- java.lang.Object
- - org.apache.lucene.search.Filter
  - - org.apache.lucene.spatial.util.ValueSourceFilter

-     public class ValueSourceFilter
      extends Filter

  Filter that matches all documents where a ValueSource is in between a range of `min` and `max` inclusive.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueSourceFilter(Filter startingFilter, ValueSource source, double min, double max)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocIdSet` | `getDocIdSet(AtomicReaderContext context, Bits acceptDocs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueSourceFilter

          public ValueSourceFilter(Filter startingFilter,
                           ValueSource source,
                           double min,
                           double max)

  - ### Method Detail

    - #### getDocIdSet

          public DocIdSet getDocIdSet(AtomicReaderContext context,
                             Bits acceptDocs)
                               throws IOException

      Specified by:
        `getDocIdSet` in class `Filter`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.